@import "../../styles.scss";



.container-feed {
    color: white;
    width: 100%;
    padding: 0;
}

.titre-page {
    margin-top: 20px;
    width: 100%;
    border-bottom: 2px solid $back-dark;
    margin-left: 0;
    margin-right: 0;
}

.titre-page p {
    font-size: 20px;
    font-weight: bold;
    margin-left: 30px;
}

.container-feed-scroll {
    padding: 0;
}

.commentNumber {
    // display: contents;
    color: $back-green;
    background-color: transparent;
    border: 0;
    padding: 0;
}

.commentNumber .row {
    text-align: center;
}

.colNumber {
    padding: 2%;
    padding: 0;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

.create-post {
    width: 100%;
    margin: 0;
    margin-top: 15px;
    border-bottom: solid 1.5px $back-green;
    padding-bottom: 20px;
}



.writePost {
    background-color: transparent;
    border: none;
    color: white;
    font-size: 20px;
    width: 90%;
    resize: none;
    outline: none;
    border-bottom: solid 2px $back-dark;
    margin-bottom: 5px;
}

.writePost::placeholder {
    color: lightgray;
}

.colIcon {
    text-align: right;
    color: $back-green;
}

.sendPost {
    text-align: right;
}

.sendPost button {
    background-color: $back-green;
    border: none;
    padding: 5px 10px;
    border-radius: 10px;
    font-weight: bold;
    color: $back-dark;
}

.postbutton {
    margin: 0;
    width: 100%;
    margin-top: 20px;
}

.feed {
    width: 100%;
    margin: 0;
}

.container-post {
    width: 100%;
    margin: 0;
}

.post {
    width: 100%;
    margin: 0;
    padding-top: 15px;
    padding-bottom: 15px;
    border-bottom: solid 2px $back-dark !important;
}

// .post:hover{
//     background-color: $back-dark;
//     border-left: solid 2px $back-green;
// }

.usernamePost {
    margin-top: 7px;
    font-weight: bold;
    padding: 0;
}

.usernamePost p {
    margin-bottom: 0;
    color: $back-green;
    cursor:pointer;
}



.post-pict {
    width: 90%;
    border-radius: 10px;
    cursor: pointer;
}

.rowIconPost {
    width: 100%;
    margin: 0;
    padding: 20px;
    margin-left: 7%;
    margin-right: 7%;
    text-align: center;
    color: $back-green;
}

custom-input {
    background-color: white;
    border: 2px solid #ededed;
    padding: 6px;
    width: 215px;
    border-radius: 3px;
}

.custom-input > * {
    vertical-align: middle;
}

.custom-input img {
    width: 25px;
    height: 25px;
    display: inline-block;
}

.custom-input input {
    border: none;
    height: 40px;
    display: inline-block;
    outline: none;
    margin-left: 6px;
}

.image-upload > input {
    display: none;
}

.image-upload {
    text-align: center;
    width: 100%;
}

#file-input {
    width: 100%;
}

.image-upload span {
    border-radius: 100%;
    width: 40%;
}



.rowContentPost {
    margin-left: 3vw;
    width: 100%;
}

.modalImage {
    background-color: rgba(0, 0, 0, 0.6);
    position: fixed;
    height: 100vh;
    width: 100vw;
    top: 0;
    //   margin-left: 10vw;
    display: none;
    left: 0;
}

.containImage {
    position: relative;
    width: 100%;
    height: 100%;
}

.imageView {
    max-height: 100%;
    max-width: 100%;
    width: auto;
    height: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
}

.closeImage {
    background-color: transparent;
    border: 0;
    color: $back-green;
    font-weight: bold;

    float: right;
    margin-right: 10vw;
    margin-top: 5vw;
}

.closeImage span {
    font-size: 35px;
}

.center{
    text-align: center;
}

.disable{
    color: gray;
}

.datePost{
    color: darkgray;
    font-size: smaller;
    font-weight: normal;

}

.repostPar{
    margin-bottom: -5px;
    color: gray;
  }

  .col-profilpic {
    padding-right: 0;
}

.profil-pict {
    width: 13vw;
    height: 13vw;
    object-fit: cover;
    border-radius: 50%;
    border: solid 2px $back-green;
    margin-left: auto;
    margin-right: auto;
    cursor: pointer;
}

.colEnding{
    background-color: $back-dark;
}

.icon-img{
    cursor: pointer;
}

@media screen and (min-width: 530px) and (max-width: 800px) {

   .profil-pict {
    width: 10vw;
    height: 10vw;
    object-fit: cover;
    border-radius: 50%;
    border: solid 2px $back-green;
}
.comment-pict {
    width: 8vw !important;
    height: 8vw !important;
    object-fit: cover;
    border-radius: 50%;
    border: solid 2px $back-green;
}
  }


  @media screen and (min-width: 800px) and (max-width: 1100px) {

    .profil-pict {
     width: 8vw;
     height: 8vw;
     object-fit: cover;
     border-radius: 50%;
     border: solid 2px $back-green;
 }
 .comment-pict {
    width: 6vw !important;
    height: 6vw !important;
    object-fit: cover;
    border-radius: 50%;
    border: solid 2px $back-green;
}
   }

   @media screen and (min-width: 1100px) and (max-width: 1500px) {

    .profil-pict {
     width: 6vw;
     height: 6vw;
     object-fit: cover;
     border-radius: 50%;
     border: solid 2px $back-green;
 }
 .comment-pict {
    width: 5vw !important;
    height: 5vw !important;
    object-fit: cover;
    border-radius: 50%;
    border: solid 2px $back-green;
}

 .rowIconPost {
    width: 100%;
    margin: 0;
    padding: 20px;
    margin-left: 12%;
    margin-right: 12%;
    text-align: center;
    color: $back-green;
}

   }

   @media screen and (min-width: 1500px) {

    .profil-pict {
     width: 4vw;
     height: 4vw;
     object-fit: cover;
     border-radius: 50%;
     border: solid 2px $back-green;
 }

 .comment-pict {
    width: 3vw !important;
    height: 3vw !important;
    object-fit: cover;
    border-radius: 50%;
    border: solid 2px $back-green;
}

 .rowIconPost {
    width: 100%;
    margin: 0;
    padding: 20px;
    margin-left: 20%;
    margin-right: 20%;
    text-align: center;
    color: $back-green;
}

 
   }

